package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.ResultGrade;
import com.lz.modules.flow.model.ResultGradeDto;

import java.util.List;

/**
* <p>
* 等级表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/
public interface ResultGradeService extends IService<ResultGrade> {



	ResultGrade selectResultGradeById(Long id);


	Long insertResultGrade(ResultGrade resultGrade);


	int updateResultGradeById(ResultGrade resultGrade);


	int updateCoverResultGradeById(ResultGrade resultGrade);


	int deleteResultGradeById(Long id);


	List<ResultGradeDto> selectResultGradeByGroupId(Long gid);
}